# $Id: mnemo-h3.spec,v 1.10 2010/01/18 17:26:03 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The notes and memos application for Horde.
Name: mnemo-h3
Version: 2.2.3
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/mnemo/tarballs/mnemo-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: horde >= 3.2
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
Mnemo is the Horde notes and memos application.  It lets users keep free-text
notes and other bits of information which doesn't fit as a contact, a todo
item, an event, etc.  It is very similar in functionality to the Palm Memo
application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

This package contains customizations for SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/mnemo
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/mnemo
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/mnemo/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/mnemo
# Include top-level files by hand
%{contentdir}/html/horde/mnemo/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/mnemo/js 
%{contentdir}/html/horde/mnemo/lib
%{contentdir}/html/horde/mnemo/locale
%{contentdir}/html/horde/mnemo/po
%{contentdir}/html/horde/mnemo/scripts
%{contentdir}/html/horde/mnemo/templates
%{contentdir}/html/horde/mnemo/themes
%{contentdir}/html/horde/mnemo/note
%{contentdir}/html/horde/mnemo/notepads
%{contentdir}/html/horde/mnemo/notes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/mnemo/LICENSE
%doc %{contentdir}/html/horde/mnemo/README
%docdir %{contentdir}/html/horde/mnemo/docs
%{contentdir}/html/horde/mnemo/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/mnemo/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/mnemo/config/.htaccess
%{contentdir}/html/horde/mnemo/config/*.dist
%config %{contentdir}/html/horde/mnemo/config/*.php
%config %{contentdir}/html/horde/mnemo/config/*.xml

%changelog
* Sun Dec 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.3-1
- Update to Mnemo 2.2.3

* Sat Oct 10 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.2-1
- Update to Mnemo 2.2.2

* Tue Sep 16 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.1-1
- Update to Mnemo 2.2.1

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1
- initial RPM roll for Mnemo 2.2
